/*
 * @Author: zhou lei
 * @Date: 2022-11-12 11:41:58
 * @LastEditTime: 2022-11-12 19:16:03
 * @LastEditors: zhou lei
 * @Description: 111
 * @FilePath: \hgwms-factory-app\src\pages\raw\STO\STO-StorageTai\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
// import { page } from '@/utils/page';
import { session } from '@/store/modules/session';
//import vm from '@/main';

class OrderInInfo {
  checked?: boolean;
  poNo?: string;
  kw?: string;
  userDefined10?: string;
  orderStatus?: string;
}

@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.sto.STO-StorageTai',
})
export class STOStorageTai extends VuexModule {
  /**
   * sap库存地点列表
   */
  cboPlaceList = [];
  /**
   * 隐藏看单号
   */
  poNo = '';
  /**
   * 看单号查询结果
   */
  orderInInfo: OrderInInfo = new OrderInInfo();
  /**
   * 看单明细
   */
  orderInInfoList: OrderInInfo[] = [];
  materielList = [];
  code = '';
  resdata: any = {};
  /**
   * 看单明细未通过明细
   */
  // orderInInfoListEx: OrderInInfo[] = [];

  /**
  //  * 查询看单号
   * @param poNo 
   */
  @MutationAction
  async takeYKOrder(order3: any) {
    // console.log('获取来的数据咋啊啊啊');
    // try {
    const records: any = await http.post(url.warehouse.rowTransfer.findStoReceiveOrderInfo, {
      ...order3,
      factoryCode: session.factoryCode,
      loginName: session.loginName,
    });
    console.log('records', records);
    const code = records.code;
    const orderInInfoList = records.data;
    const materielList = orderInInfoList.map((item: any) => ({
      label: item.materialCode,
      value: item.materialCode,
      ...item,
    }));
    console.log('materielList', materielList);
    return { orderInInfoList, materielList, code };
    // } catch {
    //   //uni.showToast({ icon: 'none', title: vm.$t('message.Warehouse_Tip11') as any });
    //   vm.customToast(vm.$t('message.Warehouse_Tip11') as any);
    // }
  }

  @MutationAction
  async onTakeoutConfirm(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.stoOutOrderReceive, list);
    const code = records.code;
    return { code };
  }
  //根据物料编码查询
  @MutationAction
  async getproduct(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.getproduct, list);
    const code = records.code;
    const resdata = records.data;
    return { code, resdata };
  }
  //清除数据
  @MutationAction
  async empty() {
    const materielList = null;
    return { materielList };
  }
}

export default getModule(STOStorageTai);
