/*
 * @Author: zhou lei
 * @Date: 2022-09-28 10:26:36
 * @LastEditTime: 2022-12-20 18:05:04
 * @LastEditors: zhou lei
 * @Description:原材料报废
 * @FilePath: \hgwms-factory-app\src\pages\raw\warehouse\RUS-rowScrap\model.ts
 * 联系方式:910592680@qq.com 18669792120 科海达信息技术有限公司
 */
import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
import vm from '@/main';
class OrderInInfo {
  checked?: boolean;
  poNo?: string;
  kw?: string;
  userDefined10?: string;
  totalqty?: string;
  orderStatus?: string;
}
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'raw.warehouse.rowScrap',
})
export class rowScrap extends VuexModule {
  cboPlaceList = [];
  poNo = '';
  orderInInfo: OrderInInfo = new OrderInInfo();
  orderInInfoList: OrderInInfo[] = [];
  centerList: any = [];
  code: any = '';
  ContainerCode: any = '';
  /**
  //  * 查询看单号
   * @param poNo 
   */
  @MutationAction
  async takeOrder(order3: any) {
    try {
      const records: any = await http.post(url.warehouse.rowTransfer.list, {
        ...order3,
        orderType: 'BF',
        page: 1,
        rows: 50,
        factoryCode: session.factoryCode,
        loginName: session.loginName,
      });
      const orderInInfoList = records.data.records;
      orderInInfoList.forEach((item: any) => {
        item.totalqty = 0;
      });
      const code = records.code;
      return { orderInInfoList, code };
    } catch {
      vm.customToast(vm.$t('message.Warehouse_Tip11') as any);
    }
  }
  //获取成本中心
  @MutationAction
  async getcenter() {
    try {
      const records: any = await http.post(url.warehouse.rowTransfer.getCostCenter, {
        factoryCode: session.factoryCode,
        loginName: session.loginName,
      });
      const code = records.code;
      const orderInInfoList = records.data;
      const centerList = orderInInfoList.map((item: any) => ({
        label: item.dicName,
        value: item.dicCode,
        ...item,
      }));
      return { centerList, code };
    } catch {
      // vm.customToast(vm.$t('message.Warehouse_Tip11') as any);
    }
  }
  @MutationAction
  async onTakeoutConfirm(list: any) {
    const records: any = await http.post(url.warehouse.rowTransfer.russia, list);
    const code = records.code;
    return { code };
  }
  @MutationAction
  async searchBarcode(params: any) {
    const res: any = await http.post(url.auth.query.barcode, {
      factoryCode: session.factoryCode,
      loginName: session.loginName,
      barcode: params.barcode,
      productCode: params.productCode,
      locCode: params.locCode,
    });
    const ContainerCode = res.data;
    return { ContainerCode };
  }
}

export default getModule(rowScrap);
